> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blockrush.io/llms.txt
> Use this file to discover all available pages before exploring further.

# sendBundle

> Atomic bundle submission of multiple signed transactions executed in sequence. All transactions fail if any single transaction fails.

<Warning>
  By default, API Keys do not have `sendBundle` enabled. Please contact customer service to enable this feature for your API key.
</Warning>

<Note>
  **Strong Atomicity:** All transactions in the bundle are executed atomically in sequence. If any transaction in the bundle fails, the entire bundle will be rejected and no transactions will be processed.
</Note>

## Request

### Endpoint:

<Badge color="green">POST</Badge> `/`

### JSON-RPC Parameters:

<ParamField path="params[0]" type="array" required>
  Array of fully signed transactions, Base64 encoded strings. **Maximum 5 transactions per bundle.**
</ParamField>

<ParamField path="params[1]" type="object" required>
  Encoding configuration object

  <Expandable title="params[1] properties" defaultOpen>
    <ParamField path="encoding" type="string" required>
      Transaction encoding format, must be `base64`
    </ParamField>
  </Expandable>
</ParamField>

## JSON-RPC Response Result

<ResponseField name="result" type="string" required>
  Bundle ID used to identify this bundle. This is the SHA-256 hash of the bundle transaction signatures.
</ResponseField>

<RequestExample dropdown>
  ```shell Request(cURL) theme={null}
  curl -X POST 'https://ny.rpc.blockrush.io' \
    -H 'Content-Type: application/json' \
    -H 'x-api-key: <YOUR_API_KEY>' \
    -d '{
      "jsonrpc": "2.0",
      "id": 1,
      "method": "sendBundle",
      "params": [
        [
          "<base64_encoded_tx_001>",
          "<base64_encoded_tx_002>",
          "<base64_encoded_tx_003>",
          "<base64_encoded_tx_004>",
          "<base64_encoded_tx_005>"
        ],
        { "encoding": "base64" }
      ]
    }'
  ```
</RequestExample>

<ResponseExample>
  ```json Response (200) theme={null}
  {
    "jsonrpc": "2.0",
    "id": 1,
    "result": [
      "<tx_001_signature>",
      "<tx_002_signature>",
      "<tx_003_signature>",
      "<tx_004_signature>",
      "<tx_005_signature>"
    ]
  }
  ```
</ResponseExample>
